Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network12.64.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
12.64.0.0
Broadcast address
12.95.255.255
First usable
12.64.0.1
Last usable
12.95.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 0C400000 · Integer 205520896 to 207618047
Reverse DNS zones
64.12.in-addr.arpa
65.12.in-addr.arpa
66.12.in-addr.arpa
67.12.in-addr.arpa
68.12.in-addr.arpa
69.12.in-addr.arpa
70.12.in-addr.arpa
71.12.in-addr.arpa
72.12.in-addr.arpa
73.12.in-addr.arpa
74.12.in-addr.arpa
75.12.in-addr.arpa
76.12.in-addr.arpa
77.12.in-addr.arpa
78.12.in-addr.arpa
79.12.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001100.01000000.00000000.0000000012.64.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00001100.01000000.00000000.0000000012.64.0.0
Broadcast00001100.01011111.11111111.1111111112.95.255.255
Split into smaller subnets/23

12.64.0.0/11 makes 4,096 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
112.64.0.0/2312.64.0.1 to 12.64.1.25412.64.1.255510
212.64.2.0/2312.64.2.1 to 12.64.3.25412.64.3.255510
312.64.4.0/2312.64.4.1 to 12.64.5.25412.64.5.255510
412.64.6.0/2312.64.6.1 to 12.64.7.25412.64.7.255510
512.64.8.0/2312.64.8.1 to 12.64.9.25412.64.9.255510
612.64.10.0/2312.64.10.1 to 12.64.11.25412.64.11.255510
712.64.12.0/2312.64.12.1 to 12.64.13.25412.64.13.255510
812.64.14.0/2312.64.14.1 to 12.64.15.25412.64.15.255510
912.64.16.0/2312.64.16.1 to 12.64.17.25412.64.17.255510
1012.64.18.0/2312.64.18.1 to 12.64.19.25412.64.19.255510
1112.64.20.0/2312.64.20.1 to 12.64.21.25412.64.21.255510
1212.64.22.0/2312.64.22.1 to 12.64.23.25412.64.23.255510
1312.64.24.0/2312.64.24.1 to 12.64.25.25412.64.25.255510
1412.64.26.0/2312.64.26.1 to 12.64.27.25412.64.27.255510
1512.64.28.0/2312.64.28.1 to 12.64.29.25412.64.29.255510
1612.64.30.0/2312.64.30.1 to 12.64.31.25412.64.31.255510
1712.64.32.0/2312.64.32.1 to 12.64.33.25412.64.33.255510
1812.64.34.0/2312.64.34.1 to 12.64.35.25412.64.35.255510
1912.64.36.0/2312.64.36.1 to 12.64.37.25412.64.37.255510
2012.64.38.0/2312.64.38.1 to 12.64.39.25412.64.39.255510
2112.64.40.0/2312.64.40.1 to 12.64.41.25412.64.41.255510
2212.64.42.0/2312.64.42.1 to 12.64.43.25412.64.43.255510
2312.64.44.0/2312.64.44.1 to 12.64.45.25412.64.45.255510
2412.64.46.0/2312.64.46.1 to 12.64.47.25412.64.47.255510
2512.64.48.0/2312.64.48.1 to 12.64.49.25412.64.49.255510
2612.64.50.0/2312.64.50.1 to 12.64.51.25412.64.51.255510
2712.64.52.0/2312.64.52.1 to 12.64.53.25412.64.53.255510
2812.64.54.0/2312.64.54.1 to 12.64.55.25412.64.55.255510
2912.64.56.0/2312.64.56.1 to 12.64.57.25412.64.57.255510
3012.64.58.0/2312.64.58.1 to 12.64.59.25412.64.59.255510
3112.64.60.0/2312.64.60.1 to 12.64.61.25412.64.61.255510
3212.64.62.0/2312.64.62.1 to 12.64.63.25412.64.63.255510
3312.64.64.0/2312.64.64.1 to 12.64.65.25412.64.65.255510
3412.64.66.0/2312.64.66.1 to 12.64.67.25412.64.67.255510
3512.64.68.0/2312.64.68.1 to 12.64.69.25412.64.69.255510
3612.64.70.0/2312.64.70.1 to 12.64.71.25412.64.71.255510
3712.64.72.0/2312.64.72.1 to 12.64.73.25412.64.73.255510
3812.64.74.0/2312.64.74.1 to 12.64.75.25412.64.75.255510
3912.64.76.0/2312.64.76.1 to 12.64.77.25412.64.77.255510
4012.64.78.0/2312.64.78.1 to 12.64.79.25412.64.79.255510
4112.64.80.0/2312.64.80.1 to 12.64.81.25412.64.81.255510
4212.64.82.0/2312.64.82.1 to 12.64.83.25412.64.83.255510
4312.64.84.0/2312.64.84.1 to 12.64.85.25412.64.85.255510
4412.64.86.0/2312.64.86.1 to 12.64.87.25412.64.87.255510
4512.64.88.0/2312.64.88.1 to 12.64.89.25412.64.89.255510
4612.64.90.0/2312.64.90.1 to 12.64.91.25412.64.91.255510
4712.64.92.0/2312.64.92.1 to 12.64.93.25412.64.93.255510
4812.64.94.0/2312.64.94.1 to 12.64.95.25412.64.95.255510
4912.64.96.0/2312.64.96.1 to 12.64.97.25412.64.97.255510
5012.64.98.0/2312.64.98.1 to 12.64.99.25412.64.99.255510
5112.64.100.0/2312.64.100.1 to 12.64.101.25412.64.101.255510
5212.64.102.0/2312.64.102.1 to 12.64.103.25412.64.103.255510
5312.64.104.0/2312.64.104.1 to 12.64.105.25412.64.105.255510
5412.64.106.0/2312.64.106.1 to 12.64.107.25412.64.107.255510
5512.64.108.0/2312.64.108.1 to 12.64.109.25412.64.109.255510
5612.64.110.0/2312.64.110.1 to 12.64.111.25412.64.111.255510
5712.64.112.0/2312.64.112.1 to 12.64.113.25412.64.113.255510
5812.64.114.0/2312.64.114.1 to 12.64.115.25412.64.115.255510
5912.64.116.0/2312.64.116.1 to 12.64.117.25412.64.117.255510
6012.64.118.0/2312.64.118.1 to 12.64.119.25412.64.119.255510
6112.64.120.0/2312.64.120.1 to 12.64.121.25412.64.121.255510
6212.64.122.0/2312.64.122.1 to 12.64.123.25412.64.123.255510
6312.64.124.0/2312.64.124.1 to 12.64.125.25412.64.125.255510
6412.64.126.0/2312.64.126.1 to 12.64.127.25412.64.127.255510
6512.64.128.0/2312.64.128.1 to 12.64.129.25412.64.129.255510
6612.64.130.0/2312.64.130.1 to 12.64.131.25412.64.131.255510
6712.64.132.0/2312.64.132.1 to 12.64.133.25412.64.133.255510
6812.64.134.0/2312.64.134.1 to 12.64.135.25412.64.135.255510
6912.64.136.0/2312.64.136.1 to 12.64.137.25412.64.137.255510
7012.64.138.0/2312.64.138.1 to 12.64.139.25412.64.139.255510
7112.64.140.0/2312.64.140.1 to 12.64.141.25412.64.141.255510
7212.64.142.0/2312.64.142.1 to 12.64.143.25412.64.143.255510
7312.64.144.0/2312.64.144.1 to 12.64.145.25412.64.145.255510
7412.64.146.0/2312.64.146.1 to 12.64.147.25412.64.147.255510
7512.64.148.0/2312.64.148.1 to 12.64.149.25412.64.149.255510
7612.64.150.0/2312.64.150.1 to 12.64.151.25412.64.151.255510
7712.64.152.0/2312.64.152.1 to 12.64.153.25412.64.153.255510
7812.64.154.0/2312.64.154.1 to 12.64.155.25412.64.155.255510
7912.64.156.0/2312.64.156.1 to 12.64.157.25412.64.157.255510
8012.64.158.0/2312.64.158.1 to 12.64.159.25412.64.159.255510
8112.64.160.0/2312.64.160.1 to 12.64.161.25412.64.161.255510
8212.64.162.0/2312.64.162.1 to 12.64.163.25412.64.163.255510
8312.64.164.0/2312.64.164.1 to 12.64.165.25412.64.165.255510
8412.64.166.0/2312.64.166.1 to 12.64.167.25412.64.167.255510
8512.64.168.0/2312.64.168.1 to 12.64.169.25412.64.169.255510
8612.64.170.0/2312.64.170.1 to 12.64.171.25412.64.171.255510
8712.64.172.0/2312.64.172.1 to 12.64.173.25412.64.173.255510
8812.64.174.0/2312.64.174.1 to 12.64.175.25412.64.175.255510
8912.64.176.0/2312.64.176.1 to 12.64.177.25412.64.177.255510
9012.64.178.0/2312.64.178.1 to 12.64.179.25412.64.179.255510
9112.64.180.0/2312.64.180.1 to 12.64.181.25412.64.181.255510
9212.64.182.0/2312.64.182.1 to 12.64.183.25412.64.183.255510
9312.64.184.0/2312.64.184.1 to 12.64.185.25412.64.185.255510
9412.64.186.0/2312.64.186.1 to 12.64.187.25412.64.187.255510
9512.64.188.0/2312.64.188.1 to 12.64.189.25412.64.189.255510
9612.64.190.0/2312.64.190.1 to 12.64.191.25412.64.191.255510
9712.64.192.0/2312.64.192.1 to 12.64.193.25412.64.193.255510
9812.64.194.0/2312.64.194.1 to 12.64.195.25412.64.195.255510
9912.64.196.0/2312.64.196.1 to 12.64.197.25412.64.197.255510
10012.64.198.0/2312.64.198.1 to 12.64.199.25412.64.199.255510
10112.64.200.0/2312.64.200.1 to 12.64.201.25412.64.201.255510
10212.64.202.0/2312.64.202.1 to 12.64.203.25412.64.203.255510
10312.64.204.0/2312.64.204.1 to 12.64.205.25412.64.205.255510
10412.64.206.0/2312.64.206.1 to 12.64.207.25412.64.207.255510
10512.64.208.0/2312.64.208.1 to 12.64.209.25412.64.209.255510
10612.64.210.0/2312.64.210.1 to 12.64.211.25412.64.211.255510
10712.64.212.0/2312.64.212.1 to 12.64.213.25412.64.213.255510
10812.64.214.0/2312.64.214.1 to 12.64.215.25412.64.215.255510
10912.64.216.0/2312.64.216.1 to 12.64.217.25412.64.217.255510
11012.64.218.0/2312.64.218.1 to 12.64.219.25412.64.219.255510
11112.64.220.0/2312.64.220.1 to 12.64.221.25412.64.221.255510
11212.64.222.0/2312.64.222.1 to 12.64.223.25412.64.223.255510
11312.64.224.0/2312.64.224.1 to 12.64.225.25412.64.225.255510
11412.64.226.0/2312.64.226.1 to 12.64.227.25412.64.227.255510
11512.64.228.0/2312.64.228.1 to 12.64.229.25412.64.229.255510
11612.64.230.0/2312.64.230.1 to 12.64.231.25412.64.231.255510
11712.64.232.0/2312.64.232.1 to 12.64.233.25412.64.233.255510
11812.64.234.0/2312.64.234.1 to 12.64.235.25412.64.235.255510
11912.64.236.0/2312.64.236.1 to 12.64.237.25412.64.237.255510
12012.64.238.0/2312.64.238.1 to 12.64.239.25412.64.239.255510
12112.64.240.0/2312.64.240.1 to 12.64.241.25412.64.241.255510
12212.64.242.0/2312.64.242.1 to 12.64.243.25412.64.243.255510
12312.64.244.0/2312.64.244.1 to 12.64.245.25412.64.245.255510
12412.64.246.0/2312.64.246.1 to 12.64.247.25412.64.247.255510
12512.64.248.0/2312.64.248.1 to 12.64.249.25412.64.249.255510
12612.64.250.0/2312.64.250.1 to 12.64.251.25412.64.251.255510
12712.64.252.0/2312.64.252.1 to 12.64.253.25412.64.253.255510
12812.64.254.0/2312.64.254.1 to 12.64.255.25412.64.255.255510
12912.65.0.0/2312.65.0.1 to 12.65.1.25412.65.1.255510
13012.65.2.0/2312.65.2.1 to 12.65.3.25412.65.3.255510
13112.65.4.0/2312.65.4.1 to 12.65.5.25412.65.5.255510
13212.65.6.0/2312.65.6.1 to 12.65.7.25412.65.7.255510
13312.65.8.0/2312.65.8.1 to 12.65.9.25412.65.9.255510
13412.65.10.0/2312.65.10.1 to 12.65.11.25412.65.11.255510
13512.65.12.0/2312.65.12.1 to 12.65.13.25412.65.13.255510
13612.65.14.0/2312.65.14.1 to 12.65.15.25412.65.15.255510
13712.65.16.0/2312.65.16.1 to 12.65.17.25412.65.17.255510
13812.65.18.0/2312.65.18.1 to 12.65.19.25412.65.19.255510
13912.65.20.0/2312.65.20.1 to 12.65.21.25412.65.21.255510
14012.65.22.0/2312.65.22.1 to 12.65.23.25412.65.23.255510
14112.65.24.0/2312.65.24.1 to 12.65.25.25412.65.25.255510
14212.65.26.0/2312.65.26.1 to 12.65.27.25412.65.27.255510
14312.65.28.0/2312.65.28.1 to 12.65.29.25412.65.29.255510
14412.65.30.0/2312.65.30.1 to 12.65.31.25412.65.31.255510
14512.65.32.0/2312.65.32.1 to 12.65.33.25412.65.33.255510
14612.65.34.0/2312.65.34.1 to 12.65.35.25412.65.35.255510
14712.65.36.0/2312.65.36.1 to 12.65.37.25412.65.37.255510
14812.65.38.0/2312.65.38.1 to 12.65.39.25412.65.39.255510
14912.65.40.0/2312.65.40.1 to 12.65.41.25412.65.41.255510
15012.65.42.0/2312.65.42.1 to 12.65.43.25412.65.43.255510
15112.65.44.0/2312.65.44.1 to 12.65.45.25412.65.45.255510
15212.65.46.0/2312.65.46.1 to 12.65.47.25412.65.47.255510
15312.65.48.0/2312.65.48.1 to 12.65.49.25412.65.49.255510
15412.65.50.0/2312.65.50.1 to 12.65.51.25412.65.51.255510
15512.65.52.0/2312.65.52.1 to 12.65.53.25412.65.53.255510
15612.65.54.0/2312.65.54.1 to 12.65.55.25412.65.55.255510
15712.65.56.0/2312.65.56.1 to 12.65.57.25412.65.57.255510
15812.65.58.0/2312.65.58.1 to 12.65.59.25412.65.59.255510
15912.65.60.0/2312.65.60.1 to 12.65.61.25412.65.61.255510
16012.65.62.0/2312.65.62.1 to 12.65.63.25412.65.63.255510
16112.65.64.0/2312.65.64.1 to 12.65.65.25412.65.65.255510
16212.65.66.0/2312.65.66.1 to 12.65.67.25412.65.67.255510
16312.65.68.0/2312.65.68.1 to 12.65.69.25412.65.69.255510
16412.65.70.0/2312.65.70.1 to 12.65.71.25412.65.71.255510
16512.65.72.0/2312.65.72.1 to 12.65.73.25412.65.73.255510
16612.65.74.0/2312.65.74.1 to 12.65.75.25412.65.75.255510
16712.65.76.0/2312.65.76.1 to 12.65.77.25412.65.77.255510
16812.65.78.0/2312.65.78.1 to 12.65.79.25412.65.79.255510
16912.65.80.0/2312.65.80.1 to 12.65.81.25412.65.81.255510
17012.65.82.0/2312.65.82.1 to 12.65.83.25412.65.83.255510
17112.65.84.0/2312.65.84.1 to 12.65.85.25412.65.85.255510
17212.65.86.0/2312.65.86.1 to 12.65.87.25412.65.87.255510
17312.65.88.0/2312.65.88.1 to 12.65.89.25412.65.89.255510
17412.65.90.0/2312.65.90.1 to 12.65.91.25412.65.91.255510
17512.65.92.0/2312.65.92.1 to 12.65.93.25412.65.93.255510
17612.65.94.0/2312.65.94.1 to 12.65.95.25412.65.95.255510
17712.65.96.0/2312.65.96.1 to 12.65.97.25412.65.97.255510
17812.65.98.0/2312.65.98.1 to 12.65.99.25412.65.99.255510
17912.65.100.0/2312.65.100.1 to 12.65.101.25412.65.101.255510
18012.65.102.0/2312.65.102.1 to 12.65.103.25412.65.103.255510
18112.65.104.0/2312.65.104.1 to 12.65.105.25412.65.105.255510
18212.65.106.0/2312.65.106.1 to 12.65.107.25412.65.107.255510
18312.65.108.0/2312.65.108.1 to 12.65.109.25412.65.109.255510
18412.65.110.0/2312.65.110.1 to 12.65.111.25412.65.111.255510
18512.65.112.0/2312.65.112.1 to 12.65.113.25412.65.113.255510
18612.65.114.0/2312.65.114.1 to 12.65.115.25412.65.115.255510
18712.65.116.0/2312.65.116.1 to 12.65.117.25412.65.117.255510
18812.65.118.0/2312.65.118.1 to 12.65.119.25412.65.119.255510
18912.65.120.0/2312.65.120.1 to 12.65.121.25412.65.121.255510
19012.65.122.0/2312.65.122.1 to 12.65.123.25412.65.123.255510
19112.65.124.0/2312.65.124.1 to 12.65.125.25412.65.125.255510
19212.65.126.0/2312.65.126.1 to 12.65.127.25412.65.127.255510
19312.65.128.0/2312.65.128.1 to 12.65.129.25412.65.129.255510
19412.65.130.0/2312.65.130.1 to 12.65.131.25412.65.131.255510
19512.65.132.0/2312.65.132.1 to 12.65.133.25412.65.133.255510
19612.65.134.0/2312.65.134.1 to 12.65.135.25412.65.135.255510
19712.65.136.0/2312.65.136.1 to 12.65.137.25412.65.137.255510
19812.65.138.0/2312.65.138.1 to 12.65.139.25412.65.139.255510
19912.65.140.0/2312.65.140.1 to 12.65.141.25412.65.141.255510
20012.65.142.0/2312.65.142.1 to 12.65.143.25412.65.143.255510
20112.65.144.0/2312.65.144.1 to 12.65.145.25412.65.145.255510
20212.65.146.0/2312.65.146.1 to 12.65.147.25412.65.147.255510
20312.65.148.0/2312.65.148.1 to 12.65.149.25412.65.149.255510
20412.65.150.0/2312.65.150.1 to 12.65.151.25412.65.151.255510
20512.65.152.0/2312.65.152.1 to 12.65.153.25412.65.153.255510
20612.65.154.0/2312.65.154.1 to 12.65.155.25412.65.155.255510
20712.65.156.0/2312.65.156.1 to 12.65.157.25412.65.157.255510
20812.65.158.0/2312.65.158.1 to 12.65.159.25412.65.159.255510
20912.65.160.0/2312.65.160.1 to 12.65.161.25412.65.161.255510
21012.65.162.0/2312.65.162.1 to 12.65.163.25412.65.163.255510
21112.65.164.0/2312.65.164.1 to 12.65.165.25412.65.165.255510
21212.65.166.0/2312.65.166.1 to 12.65.167.25412.65.167.255510
21312.65.168.0/2312.65.168.1 to 12.65.169.25412.65.169.255510
21412.65.170.0/2312.65.170.1 to 12.65.171.25412.65.171.255510
21512.65.172.0/2312.65.172.1 to 12.65.173.25412.65.173.255510
21612.65.174.0/2312.65.174.1 to 12.65.175.25412.65.175.255510
21712.65.176.0/2312.65.176.1 to 12.65.177.25412.65.177.255510
21812.65.178.0/2312.65.178.1 to 12.65.179.25412.65.179.255510
21912.65.180.0/2312.65.180.1 to 12.65.181.25412.65.181.255510
22012.65.182.0/2312.65.182.1 to 12.65.183.25412.65.183.255510
22112.65.184.0/2312.65.184.1 to 12.65.185.25412.65.185.255510
22212.65.186.0/2312.65.186.1 to 12.65.187.25412.65.187.255510
22312.65.188.0/2312.65.188.1 to 12.65.189.25412.65.189.255510
22412.65.190.0/2312.65.190.1 to 12.65.191.25412.65.191.255510
22512.65.192.0/2312.65.192.1 to 12.65.193.25412.65.193.255510
22612.65.194.0/2312.65.194.1 to 12.65.195.25412.65.195.255510
22712.65.196.0/2312.65.196.1 to 12.65.197.25412.65.197.255510
22812.65.198.0/2312.65.198.1 to 12.65.199.25412.65.199.255510
22912.65.200.0/2312.65.200.1 to 12.65.201.25412.65.201.255510
23012.65.202.0/2312.65.202.1 to 12.65.203.25412.65.203.255510
23112.65.204.0/2312.65.204.1 to 12.65.205.25412.65.205.255510
23212.65.206.0/2312.65.206.1 to 12.65.207.25412.65.207.255510
23312.65.208.0/2312.65.208.1 to 12.65.209.25412.65.209.255510
23412.65.210.0/2312.65.210.1 to 12.65.211.25412.65.211.255510
23512.65.212.0/2312.65.212.1 to 12.65.213.25412.65.213.255510
23612.65.214.0/2312.65.214.1 to 12.65.215.25412.65.215.255510
23712.65.216.0/2312.65.216.1 to 12.65.217.25412.65.217.255510
23812.65.218.0/2312.65.218.1 to 12.65.219.25412.65.219.255510
23912.65.220.0/2312.65.220.1 to 12.65.221.25412.65.221.255510
24012.65.222.0/2312.65.222.1 to 12.65.223.25412.65.223.255510
24112.65.224.0/2312.65.224.1 to 12.65.225.25412.65.225.255510
24212.65.226.0/2312.65.226.1 to 12.65.227.25412.65.227.255510
24312.65.228.0/2312.65.228.1 to 12.65.229.25412.65.229.255510
24412.65.230.0/2312.65.230.1 to 12.65.231.25412.65.231.255510
24512.65.232.0/2312.65.232.1 to 12.65.233.25412.65.233.255510
24612.65.234.0/2312.65.234.1 to 12.65.235.25412.65.235.255510
24712.65.236.0/2312.65.236.1 to 12.65.237.25412.65.237.255510
24812.65.238.0/2312.65.238.1 to 12.65.239.25412.65.239.255510
24912.65.240.0/2312.65.240.1 to 12.65.241.25412.65.241.255510
25012.65.242.0/2312.65.242.1 to 12.65.243.25412.65.243.255510
25112.65.244.0/2312.65.244.1 to 12.65.245.25412.65.245.255510
25212.65.246.0/2312.65.246.1 to 12.65.247.25412.65.247.255510
25312.65.248.0/2312.65.248.1 to 12.65.249.25412.65.249.255510
25412.65.250.0/2312.65.250.1 to 12.65.251.25412.65.251.255510
25512.65.252.0/2312.65.252.1 to 12.65.253.25412.65.253.255510
25612.65.254.0/2312.65.254.1 to 12.65.255.25412.65.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses